[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoEndDoc

Performs actions need to end printing for the current document.

## Declaration

Source position: printers.pas line 269

`protected procedure TPrinter.DoEndDoc(`
`aAborted: Boolean`
`); virtual;`

## Arguments

`aAborted` |  | True if document printing was aborted rather than ended normally.

## Description

DoEndDoc is a virtual method used to finishing printing the current document. aAborted is True if printing has been halted by calling the Abort method.

Remark: | In TPrinter, DoEndDoc has an empty implementation. It must be overridden in a descendent class to perform actions needed for the operating system / widgetset / printer-related technology used in the implementation.